Bug 241835 - Review Request: bottlerocket - Utilities to use the FireCracker X10 kit
Review Request: bottlerocket - Utilities to use the FireCracker X10 kit
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Package Reviews List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-30 19:31 EDT by Sindre Pedersen Bjørdal
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-06 12:11:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tibbs: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Sindre Pedersen Bjørdal 2007-05-30 19:31:44 EDT
Spec URL: http://folk.ntnu.no/sindrb/packages/zcat/bottlerocket.spec
SRPM URL: http://folk.ntnu.no/sindrb/packages/zcat/bottlerocket-0.04c-1.fc7.src.rpm

Description:

BottleRocket is a command-line interface for Unix systems to use the
FireCracker kit. It is easy to use, has all of the major (non-gui)
functionality of the Windows interface, is easy to call from scripts and the
backend code is made to be easily linked into other programs.
Comment 1 Jason Tibbitts 2007-06-03 19:32:22 EDT
Looks good; there's a single rpmlint warning:
  W: bottlerocket incoherent-version-in-changelog 0.04-1 0.04c-1.fc8
Looks like the "c" was dropped from the version.

I note that debian is packaging 0.05b3, even in their stable release.  I suppose
its up to you which version you package, but if you do want to package the beta
please be careful with the prerelease versioning (0.05-0.1.b3).

This package includes a binary /usr/bin/br, which is a pretty generic name. 
However, this package has also been around for quite some time, a google search
reveals no matches except for this package, and there seem to be plenty of other
information, scripts and packages which expect that name for the executable.  So
I think it's OK.

Really, since the only issue is a typo in the changelog entry, I'll go ahead and
approve this and you can fix it when you check in.

Review:
* source files match upstream:
   deb8fbf8856f87af15fa9883e07b1fddb2aa78f6b4c7d119ae4bd664dc1d19ae  
   bottlerocket-0.04c.tar.gz
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.
* description is OK.
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* license text not included upstream.
O latest version is 0.05b3, but it's a beta.
* BuildRequires are proper (none)
* compiler flags are appropriate.
* %clean is present.
* package builds in mock (development, x86_64).
* package installs properly
* debuginfo package looks complete.
X rpmlint has a valid complaint.
* final provides and requires are sane.
* %check is not present; no test suite upstream.  I do not have the hardware 
  necessary for testing this.
* no shared libraries are added to the regular linker search paths.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no scriptlets present.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* no headers.
* no pkgconfig files.
* no static libraries.
* no libtool .la files.

APPROVED
Comment 2 Sindre Pedersen Bjørdal 2007-06-03 21:51:54 EDT
New Package CVS Request
=======================
Package Name: bottlerocket
Short Description: Utilities to use the FireCracker X10 kit
Owners: foolish@guezz.net
Branches: FC-6 F-7 El-4 EL-5
Comment 3 Kevin Fenzi 2007-06-04 15:01:20 EDT
cvs done.

Note You need to log in before you can comment on or make changes to this bug.